Contents

# Exit Statement

Exits a Do...Loop, For...Next, a function, a property, or a subroutine.

### Syntax:

    Exit Do, Exit For, Exit Function, Exit Property, Exit Sub

### Parameters:

Exit Do

JEdino validno u Do...Loop u naredbi da izadje iz kruga. Nastavak egzekucije odvija se sa izjavom koja slijedi u petlji. ako Do...Loop naredba je umetnuta,kontrola je prenesena na petlju u slijedecem vecem nivou .

Exit For

JEdino validno u For...Next petlji da izadje iz petlje.Nastavak egzekucije odvija se sa prvom izjavom koja slijedi u petlji. ako Sljedeći naredba je umetnuta,kontrola je prenesena na petlju u slijedecem vecem nivou .

Exit Function

Napusta Funkcija proceduru odmah. Nastavak egzekucije odvija se sa izjavom koja slijedi .Funkcija call.

Exit Property

Exits the Property procedure immediately. Program execution continues with the statement that follows the Property call.

Exit Sub

Napusta podprogram odmah. Nastavak egzekucije odvija se sa izjavom koja slijedi Sub call.

Naredba za izlaz ne definise kraj strukture I ne smije se zamijeniti sa Zavrsnom izjavom .

### Example:

    Sub ExampleExit
    Dim sReturn As String
    Dim sListArray(10) As String
    Dim siStep As Single
        For siStep = 0 To 10 ' Fill array with test data
            sListArray(siStep) = chr(siStep + 65)
            MsgBox sListArray(siStep)
        Next siStep
        sReturn = LinSearch(sListArray(), "B")
        Print sReturn
    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer
    Dim iCount As Integer
    REM LinTrazi trazi TekstNiz:sListaa() za UnosTeksta:
    REM Vraca index unosa ili 0 ( nula)
        For iCount=1 To Ubound( sList() )
            If sList( iCount ) = sItem Then
                Napusti za REM sPOdatak nadjen
            End If
        Next iCount
        If iCount = Ubound( sList() ) Then iCount = 0
        LinSearch = iCount
    End Function